# molecule-template

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/molecule-template/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/molecule-template)

A helper template for generating new roles with [Molecule](https://molecule.readthedocs.io/en/latest/).

Features:

- Generates a ready-to-go Hetzner Cloud test configuration for a role
- Uses yamllint/ansible-lint with arguments that work specifically with our [infrastructure](https://git.autonomic.zone/autonomic-cooperative/infrastructure) setup
- Removes all unecessary configuration for the default use-case (low maintenance effort intended)

## Usage

```bash
$ pip install cookiecutter
$ cookiecutter https://git.autonomic.zone/decentral1se/molecule-role-template
```

## Arguments

- **molecule_directory**: Name of the standard Molecule role directory (default: `molecule`)
- **role_name**: Name of the role that Molecule files are embedded in (default: `autonomic.mynewrole`)
- **scenario_type**: Name of the Molecule scenario (default: `default`)
- **server_type**: Hetzner Cloud server type (default: `cx11`)
- **server_image**: Hetzner Cloud image type (default: `debian-10`)
